# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-09 22:08
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import forms.utils


class Migration(migrations.Migration):

    dependencies = [
        ('mentorship', '0004_auto_20170131_1910'),
    ]

    operations = [
        migrations.CreateModel(
            name='GoalSet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now)),
                ('due_date', models.DateTimeField(default=None, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Note',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(default='')),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now)),
                ('offline_date', models.DateTimeField(default=None, null=True)),
                ('offline_duration', models.PositiveSmallIntegerField(choices=[(1, 15), (2, 30), (3, 45), (4, 60)], default=None, null=True)),
                ('offline_rating', models.PositiveSmallIntegerField(choices=[(0, 'No input yet'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (5, '5'), (6, 'No Show')], default=0, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='NoteAttachment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('attachment', models.FileField(default=None, null=True, upload_to=forms.utils.get_attached_file_url)),
                ('file_name', models.TextField(default=None, null=True)),
                ('note', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mentorship.Note')),
            ],
        ),
        migrations.RemoveField(
            model_name='mentorshipsession',
            name='note',
        ),
        migrations.AddField(
            model_name='goal',
            name='datetime',
            field=models.DateTimeField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='goal',
            name='mentorship',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='mentorship.Mentorship'),
        ),
        migrations.AddField(
            model_name='mentorship',
            name='mentor_rating',
            field=models.PositiveSmallIntegerField(choices=[(0, 'No input yet'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (5, '5'), (6, 'No Show')], default=0, null=True),
        ),
        migrations.AddField(
            model_name='note',
            name='mentorship',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mentorship.Mentorship'),
        ),
        migrations.AddField(
            model_name='note',
            name='session',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='mentorship.MentorshipSession'),
        ),
        migrations.AddField(
            model_name='goalset',
            name='mentorship',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mentorship.Mentorship'),
        ),
        migrations.AddField(
            model_name='goal',
            name='goal_set',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='mentorship.GoalSet'),
        ),
    ]
